# ---------------------------------------------------------------------------
# build.mak
# Makefile for building the ISO file
# Created by Bart Lagerweij
# ---------------------------------------------------------------------------
#
# Include global.mak
include ../../bin/global.mak

# Set default publisher and application ID
publisher:="NU2 Productions"
applicationid:="Created 'Barts way' using MKISOFS/CDRECORD"

# Include the "add-on" build.mak
include build.mak

#
ifdef verbose
	ifeq ($(verbose),y)
		mkisofsargs+= -v
	endif
endif

ifdef systemid
	mkisofsargs+= -sysid $(systemid)
endif

ifdef volumeid
	mkisofsargs+= -volid $(volumeid)
endif

ifdef volsetid
	mkisofsargs+= -volset $(volsetid)
endif

ifdef preparer
	mkisofsargs+= -p $(preparer)
endif

ifdef publisher
	mkisofsargs+= -P $(publisher)
endif

ifdef applicationid
	mkisofsargs+= -A $(applicationid)
endif

ifdef boot
	mkisofsargs+= $(boot)
endif

.PHONY : bootcd

bootcd:

# Check source
ifndef source
	$(error "source" is not set. Check your build.mak file!) 
endif

# Build the ISO filesystem file
	../../bin/mkisofs.exe $(mkisofsargs) -o $(isofile) $(source)
#
# END of makefile
