# ---------------------------------------------------------------------------
# burn.mak
# Makefile for burning ISO image to writer device
# Created by Bart Lagerweij
# ---------------------------------------------------------------------------

# Include global.mak
include ../../bin/global.mak

# Include build.mak
include build.mak

ifdef verbose
	ifeq ($(verbose),y)
		cdrecordargs+= -v
	endif
endif

ifdef speed
	cdrecordargs+= speed=$(speed)
endif

.PHONY : bootcd

bootcd:

# Check if cdrdevice exists
ifndef cdrdevice
	$(error "cdrdevice" is not set. Start run.bat and select "configure device") 
endif

# Burn the ISO file
	../../bin/cdrecord.exe dev=$(cdrdevice) $(cdrecordargs) $(isofile)
#
# END of makefile
